Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.solver
Class SolverConfig

    java.lang.Object
      org.drools.planner.config.solver.SolverConfig

    public class SolverConfig

extends Object

Field Summary
`protected static long` | `DEFAULT_RANDOM_SEED`
`protected EnvironmentMode` | `environmentMode`
`protected Set<Class<?>>` | `planningEntityClassSet`
`protected Long` | `randomSeed`
`protected org.drools.RuleBase` | `ruleBase`
`protected ScoreDefinitionConfig` | `scoreDefinitionConfig`
`protected List<String>` | `scoreDrlList`
`protected Class<? extends Solution>` | `solutionClass`
`protected List<SolverPhaseConfig>` | `solverPhaseConfigList`

Constructor Summary
`SolverConfig()`

Method Summary
`Solver` | `buildSolver()`
`EnvironmentMode` | `getEnvironmentMode()`
`Set<Class<?>>` | `getPlanningEntityClassSet()`
`Long` | `getRandomSeed()`
`org.drools.RuleBase` | `getRuleBase()`
`ScoreDefinitionConfig` | `getScoreDefinitionConfig()`
`List<String>` | `getScoreDrlList()`
`Class<? extends Solution>` | `getSolutionClass()`
`List<SolverPhaseConfig>` | `getSolverPhaseConfigList()`
`TerminationConfig` | `getTerminationConfig()`
`void` | `inherit(SolverConfig inheritedConfig)`
`void` | `setEnvironmentMode(EnvironmentMode environmentMode)`
`void` | `setPlanningEntityClassSet(Set<Class<?>> planningEntityClassSet)`
`void` | `setRandomSeed(Long randomSeed)`
`void` | `setRuleBase(org.drools.RuleBase ruleBase)`
`void` | `setScoreDefinitionConfig(ScoreDefinitionConfig scoreDefinitionConfig)`
`void` | `setScoreDrlList(List<String> scoreDrlList)`
`void` | `setSolutionClass(Class<? extends Solution> solutionClass)`
`void` | `setSolverPhaseConfigList(List<SolverPhaseConfig> solverPhaseConfigList)`
`void` | `setTerminationConfig(TerminationConfig terminationConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_RANDOM_SEED

    protected static final long DEFAULT_RANDOM_SEED

See Also:
  Constant Field Values

### environmentMode

    protected EnvironmentMode environmentMode

### randomSeed

    protected Long randomSeed

### solutionClass

    protected Class<? extends Solution> solutionClass

### planningEntityClassSet

    protected Set<Class<?>> planningEntityClassSet

### ruleBase

    protected org.drools.RuleBase ruleBase

### scoreDrlList

    protected List<String> scoreDrlList

### scoreDefinitionConfig

    protected ScoreDefinitionConfig scoreDefinitionConfig

### solverPhaseConfigList

    protected List<SolverPhaseConfig> solverPhaseConfigList

Constructor Detail

### SolverConfig

    public SolverConfig()

Method Detail

### getEnvironmentMode

    public EnvironmentMode getEnvironmentMode()

### setEnvironmentMode

    public void setEnvironmentMode(EnvironmentMode environmentMode)

### getRandomSeed

    public Long getRandomSeed()

### setRandomSeed

    public void setRandomSeed(Long randomSeed)

### getSolutionClass

    public Class<? extends Solution> getSolutionClass()

### setSolutionClass

    public void setSolutionClass(Class<? extends Solution> solutionClass)

### getPlanningEntityClassSet

    public Set<Class<?>> getPlanningEntityClassSet()

### setPlanningEntityClassSet

    public void setPlanningEntityClassSet(Set<Class<?>> planningEntityClassSet)

### getRuleBase

    public org.drools.RuleBase getRuleBase()

### setRuleBase

    public void setRuleBase(org.drools.RuleBase ruleBase)

### getScoreDrlList

    public List<String> getScoreDrlList()

### setScoreDrlList

    public void setScoreDrlList(List<String> scoreDrlList)

### getScoreDefinitionConfig

    public ScoreDefinitionConfig getScoreDefinitionConfig()

### setScoreDefinitionConfig

    public void setScoreDefinitionConfig(ScoreDefinitionConfig scoreDefinitionConfig)

### getTerminationConfig

    public TerminationConfig getTerminationConfig()

### setTerminationConfig

    public void setTerminationConfig(TerminationConfig terminationConfig)

### getSolverPhaseConfigList

    public List<SolverPhaseConfig> getSolverPhaseConfigList()

### setSolverPhaseConfigList

    public void setSolverPhaseConfigList(List<SolverPhaseConfig> solverPhaseConfigList)

### buildSolver

    public Solver buildSolver()

### inherit

    public void inherit(SolverConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.